Package com.xebialabs.xlrelease.domain.group

# Class ReleaseGroup

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.group.ReleaseGroup

All Implemented Interfaces:
  `ConfigurationItem`, `CiWithInternalMetadata`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=APPLICATIONS, versioned=false, description="A grouping of multiple releases.") public class ReleaseGroup extends BaseConfigurationItem implements CiWithInternalMetadata

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Date`
  `endDate`
  `static final String`
  `GROUP_ROOT`
  `protected Date`
  `startDate`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseGroup()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,InternalMetadata>`
  `get$metadata()`
  `Date`
  `getEndDate()`
  `String`
  `getFolderId()`
  `Integer`
  `getProgress()`
  `Set<String>`
  `getReleaseIds()`
  `Integer`
  `getRiskScore()`
  `Date`
  `getStartDate()`
  `ReleaseGroupStatus`
  `getStatus()`
  `String`
  `getTitle()`
  `boolean`
  `isUpdatable()`
  `void`
  `removeReleaseIds(List<String> idsToRemove)`
  `void`
  `setEndDate(Date endDate)`
  `void`
  `setFolderId(String folderId)`
  `void`
  `setProgress(Integer progress)`
  `void`
  `setReleaseIds(Set<String> releaseIds)`
  `void`
  `setRiskScore(Integer riskScore)`
  `void`
  `setStartDate(Date startDate)`
  `void`
  `setStatus(ReleaseGroupStatus status)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- ## Field Details

  - ### GROUP_ROOT

    public static final String GROUP_ROOT

  - ### startDate

    @Property(required=false, description="The expected start date.") protected Date startDate

  - ### endDate

    @Property(required=false, description="The expected end date.") protected Date endDate

- ## Constructor Details

  - ### ReleaseGroup

    public ReleaseGroup()

- ## Method Details

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getStatus

    public ReleaseGroupStatus getStatus()

  - ### setStatus

    public void setStatus(ReleaseGroupStatus status)

  - ### getStartDate

    public Date getStartDate()

  - ### setStartDate

    public void setStartDate(Date startDate)

  - ### getEndDate

    public Date getEndDate()

  - ### setEndDate

    public void setEndDate(Date endDate)

  - ### getRiskScore

    public Integer getRiskScore()

  - ### setRiskScore

    public void setRiskScore(Integer riskScore)

  - ### getReleaseIds

    public Set<String> getReleaseIds()

  - ### removeReleaseIds

    public void removeReleaseIds(List<String> idsToRemove)

  - ### setReleaseIds

    public void setReleaseIds(Set<String> releaseIds)

  - ### getProgress

    public Integer getProgress()

  - ### setProgress

    public void setProgress(Integer progress)

  - ### isUpdatable

    public boolean isUpdatable()

  - ### getFolderId

    public String getFolderId()

  - ### setFolderId

    public void setFolderId(String folderId)

  - ### get$metadata

    public Map<String,InternalMetadata> get$metadata()
    Specified by:
      `get$metadata` in interface `CiWithInternalMetadata`